%define major 1
%define libname %mklibname globus-gsi-sysconfig %{major}
%define develname %mklibname globus-gsi-sysconfig -d

Name:		globus-gsi-sysconfig
%global apache_license ASL 2.0
%global _name %(tr - _ <<< %{name})
Version:	9.5
Release:	%mkrel 1
Summary:	Globus Toolkit - Globus GSI System Config Library

Group:		Development/Other
License:	%{apache_license}
URL:            https://github.com/gridcf/gct
Source:        https://repo.gridcf.org/gct6/sources/%{_name}-%{version}.tar.gz

BuildRequires:	pkgconfig(globus-common) >= 15
BuildRequires:	pkgconfig(globus-openssl-module) >= 3
BuildRequires:	pkgconfig(globus-gsi-openssl-error) >= 2
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	automake >= 1.11
BuildRequires:	autoconf >= 2.60
BuildRequires:	libtool >= 2.2
BuildRequires:  pkgconfig
BuildRequires:  openssl
BuildRequires:  pkgconfig(openssl)
%global mainpkg %{name}

%package -n %{develname}
Summary:	Globus Toolkit - Globus GSI System Config Library Development Files
Group:		Development/Other
Requires:	%{mainpkg} = %{version}-%{release}
Provides:       %{mainpkg}-devel = %{version}-%{release}
Requires:	pkgconfig(globus-common) >= 15
Requires:	pkgconfig(globus-openssl-module) >= 3
Requires:	pkgconfig(globus-gsi-openssl-error) >= 2
Requires:  openssl
Requires:  pkgconfig(openssl)

%package doc
Summary:	Globus Toolkit - Globus GSI System Config Library Documentation Files
Group:		Documentation
BuildArch:	noarch
Requires:	%{mainpkg} = %{version}-%{release}

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
Globus GSI System Config Library

%package -n %{libname}
Summary: Globus Toolkit - Globus GSI System Config Library
Provides: %{name} = %{version}-%{release}
%description -n %{libname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
Globus GSI System Config Library

%description -n %{develname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-devel package contains:
Globus GSI System Config Library Development Files

%description doc
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-doc package contains:
Globus GSI System Config Library Documentation Files

%prep
%setup -q -n %{_name}-%{version}

%build
rm -rf autom4te.cache

autoreconf -if

%configure \
           --disable-static \
           --docdir=%{_docdir}/%{name}-%{version} \
           --includedir=%{_includedir}/globus \
           --libexecdir=%{_datadir}/globus

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/grid-security/certificates

find $RPM_BUILD_ROOT%{_libdir} -name 'lib*.la' -exec rm -v '{}' \;

%files -n %{libname}
%dir %{_docdir}/%{name}-%{version}
%dir %{_sysconfdir}/grid-security
%dir %{_sysconfdir}/grid-security/certificates
%doc %{_docdir}/%{name}-%{version}/GLOBUS_LICENSE
%{_libdir}/libglobus*.so.*

%files -n %{develname}
%{_includedir}/globus/*
%{_libdir}/libglobus*.so
%{_libdir}/pkgconfig/*.pc

%files doc
%dir %{_docdir}/%{name}-%{version}/html
%{_docdir}/%{name}-%{version}/html/*
%{_mandir}/man3/*


%changelog
* Sun Oct 02 2022 neoclust <neoclust> 9.5-1.mga9
+ Revision: 1893920
- New version

* Thu Mar 31 2022 umeabot <umeabot> 9.3-3.mga9
+ Revision: 1837027
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 9.3-2.mga9
+ Revision: 1747398
- rebuild for openssl 3.0.0

* Fri Dec 18 2020 joequant <joequant> 9.3-1.mga8
+ Revision: 1660741
- update to 9.3
- update to 9.3

* Mon May 04 2020 joequant <joequant> 9.2-1.mga8
+ Revision: 1578658
- update to 9.2

* Tue Apr 28 2020 joequant <joequant> 8.1-1.mga8
+ Revision: 1572571
- fix group
- fix vendor
- fix group
- imported package globus-gsi-sysconfig

